Bug 1128791 - Remove timeout from Map/Reduce jobs
Summary: Remove timeout from Map/Reduce jobs
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Data Grid 6
Classification: JBoss
Component: Infinispan
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ER1
: 6.3.1
Assignee: Tristan Tarrant
QA Contact: Martin Gencur
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-11 14:40 UTC by Tristan Tarrant
Modified: 2015-01-26 14:05 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously in Red Hat JBoss Data grid, users had to extend the timeout value of map/reduce jobs because the default timeout value was the RPC timeout value. In JBoss Data Grid 6.3.1, this is fixed so that the timeout value for map/reduce jobs has been removed and the job will wait for an infinite period before timing out. If required, users can lower the timeout. As a result, users do not need to set the timeout as often as before.
Clone Of:
: 1128958 (view as bug list)
Environment:
Last Closed: 2015-01-26 14:05:40 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker ISPN-4618 Major Resolved Map/Reduce jobs should not timeout by default 2015-05-13 01:56:53 UTC

Description Tristan Tarrant 2014-08-11 14:40:35 UTC
Map/Reduce jobs should not have a timeout

Comment 2 Misha H. Ali 2014-08-12 01:42:55 UTC
Assuming this needs documentation based on needs_documentation+ flag. Cloned to docs component and assigned to Bobb as this looks like a minor issue.

Comment 3 Alan Field 2014-08-21 15:06:25 UTC
Verified that the default timeout for the MapReduceTask in JDG 6.3.1 ER1 is zero


Note You need to log in before you can comment on or make changes to this bug.